Bug 1102062

Summary: error in /etc/xinetd.d/bitlbee
Product: [Fedora] Fedora EPEL Reporter: Patrick C. F. Ernzer <pcfe>
Component: bitlbeeAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: mcepl, mcepl, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: bitlbee-3.2.1-4.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-16 16:31:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Patrick C. F. Ernzer 2014-05-28 12:35:09 UTC
Description of problem:
minor error in /etc/xinetd.d/bitlbee
of bitlbee-3.2.1-3.el6.x86_64 (as of today that is in epel-testing)

the file has the line
server          = /usr/sbin/bitlbee -I

the -I needs to go into server_args or can be dropped altogether as -I is default.

this works for me on my server;

# cat /etc/xinetd.d/bitlbee 
## xinetd file for BitlBee. Please check this file before using it, the
## user, port and/or binary location might be wrong.
## This file assumes you have ircd somewhere in your /etc/services, if things
## don't work, check that file first.
service ircdocol        = tcp
{       wait            = no
        disablem= nolikely want to change these two
        socket_type     = streame
        protocol        = tcpr/sbin/bitlbee
        wait            = no limit access to localhost only:
        ## You most likely want to change these two
        user            = bitlbeean for telling us about the type
        server          = /usr/sbin/bitlbeee used without having to edit
        ## You might want to limit access to localhost only:
        bind            = 127.0.0.1
        ## Thanks a lot to friedman for telling us about the type
        ## argument, so now this file can be used without having to edit
}       ## /etc/services too.


Without this change one gets the expected
attribute server expects 1 values and 2 values were specified [file=/etc/xinetd.d/bitlbee] [line=13]

Comment 1 Fedora Update System 2014-05-29 16:57:45 UTC
bitlbee-3.2.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bitlbee-3.2.1-4.el6

Comment 2 Fedora Update System 2014-05-29 18:00:04 UTC
bitlbee-3.2.1-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bitlbee-3.2.1-4.el5

Comment 3 Fedora Update System 2014-05-30 17:05:07 UTC
Package bitlbee-3.2.1-4.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bitlbee-3.2.1-4.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1531/bitlbee-3.2.1-4.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-06-16 16:31:57 UTC
bitlbee-3.2.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-06-17 16:56:54 UTC
bitlbee-3.2.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.